// Amica NodeMCU 1.0 (ESP-12E Module) pin labels / numbers

#define Builtin_LED    16

#define D0		16
#define D1		 5
#define D2		 4
#define D3		 0
#define D4		 2
#define D5		14
#define D6		12
#define D7		13
#define D8		15
#define RX		 3
#define TX		 1

#define CLK		 6
#define SD0		 7
#define CMD		11
#define SD1		 8
#define SD2		 9
#define SD3		10
#define A0		17

#define SCLK	 6
#define MISO	 7
#define CS		11
#define MOSI	 8

#define HSCLK	14
#define HMISO	12
#define HCS		15
#define HMOSI	13

#define D9		 3
#define D10		 1
#define D11		 9
#define D12		10


// NodeMCU to RFM95 (via SPI)
// 3V3			- VCC
// GND			- GND
// HSCLK (14)	- SCK
// HMISO (12)	- MISO
// HMOSI (13)	- MOSI
// HCS (15)		- NSS
// x			- RST
// SD3 (10)		- DIO0
// x			- DIO1
// x			- DIO2

#define SCK		HSCLK
#define MISO	HMISO
#define MOSI	HMOSI
#define NSS		HCS
#define RST		-1
#define DIO0	D1

// NodeMCU I2C
// GND			- GND
// 3V3			- VCC
// D3 (0)		- SCL
// D4 (2)		- SDA

#define SCL		D3
#define SDA		D4

// NodeMCU ALF4all
// A0 (17)		- A0
// D0 (16)		- A1
// SD3 (10)		- A2
// D2 (4)		- A3

#define A4a_A0	A0
#define A4a_A1	D0
#define A4a_A2	SD3
#define A4a_A3	D2